Bug 1410026 (CVE-2016-9600)

Summary: CVE-2016-9600 jasper: JP2 encoder NULL pointer dereference due to uninitialized cmprof_
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: abhgupta, bmcclain, cfergeau, dblechte, dmcphers, eedri, erik-fedora, jialiu, jokerman, jridky, kseifried, lmeyer, lsurette, mgoldboi, michal.skrivanek, mike, mmccomas, rbalakri, rdieter, rh-spice-bugs, rjones, sbonazzo, sherold, srevivo, tiwillia, ykaul, ylavi
Target Milestone: ---Keywords: Reopened, Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: jasper 2.0.10 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-05-09 21:43:38 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1406406, 1406407, 1406408, 1406409, 1439171, 1439172, 1439173, 1439174    
Bug Blocks: 1314477    

Description Andrej Nemec 2017-01-04 09:07:39 UTC
A null pointer dereference was found in the way JasPer decoded certaion JPEG 2000 image files. A specially crafted file could cause an application using JasPer to crash.

Upstream bug:

https://github.com/mdadams/jasper/issues/109

Upstream fix:

https://github.com/mdadams/jasper/commit/a632c6b54bd4ffc3bebab420e00b7e7688aa3846

Comment 1 Andrej Nemec 2017-01-04 09:08:12 UTC
Acknowledgments:

Name: Liu Bingchang (IIE)

Comment 2 Andrej Nemec 2017-01-04 09:17:29 UTC
Created mingw-jasper tracking bugs for this issue:

Affects: fedora-all [bug 1406407]
Affects: epel-7 [bug 1406409]

Comment 3 Andrej Nemec 2017-01-04 09:17:47 UTC
Created jasper tracking bugs for this issue:

Affects: fedora-all [bug 1406408]
Affects: epel-5 [bug 1406406]

Comment 4 Tomas Hoger 2017-01-09 15:54:20 UTC
The fix was applied upstream in version 2.0.10.

The impact of this flaw is limited to NULL pointer dereference leading to application crash.  Additionally, this bug is in the JP2 format encoder.  Applications that only decode JPEG2000 files using Jasper are not affected by this issue.

There is currently no plan to backport the fix to already released Red Hat Enterprise Linux versions.

Comment 7 Tomas Hoger 2017-03-31 20:55:09 UTC
Re-considering inclusion for easier future testing.

Comment 8 errata-xmlrpc 2017-05-09 17:21:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:1208 https://access.redhat.com/errata/RHSA-2017:1208